<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: Configuration handling</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<h1>Configuration handling</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga0">discover_conf_load</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga1">discover_conf_name_to_bus</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga2">discover_conf_get_full_bus_map</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga3">discover_conf_get_bus_map_by_name</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga4">discover_conf_get_bus_map</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga5">discover_conf_insert_url</a> (char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga6">discover_conf_append_url</a> (char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga7">discover_conf_get_urls</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga8">discover_conf_free</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga9">discover_conf_get_bus_name</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga10">discover_conf_get_filetype_name</a> (<a class="el" href="group__types.html#ga17">discover_filetype_t</a> filetype)</td></tr>

</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="ga6" doxytag="conf.c::discover_conf_append_url"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_conf_append_url           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname" nowrap> <em>url</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Append the URL specified in url at the tail of the list of URLs where Discover data will be retrieved.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>url</em>&nbsp;</td><td>URL to append </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00579">579</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, and <a class="el" href="conf_8c-source.html#l00378">discover_conf_load()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga8" doxytag="conf.c::discover_conf_free"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_conf_free           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Free configuration data. This is mainly useful so that the next call to discover_conf_load will reload the configuration data. 
<p>
Definition at line <a class="el" href="conf_8c-source.html#l00650">650</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="url-xml_8c-source.html#l00444">discover_xml_url_free()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga4" doxytag="conf.c::discover_conf_get_bus_map"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a>* discover_conf_get_bus_map           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga16">discover_bus_t</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>bus</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the bus map for a single bus.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>bus</em>&nbsp;</td><td>Name of the bus whose map to get </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00532">532</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00157">BUS_COUNT</a>, <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="conf_8c-source.html#l00378">discover_conf_load()</a>, and <a class="el" href="group__types.html#gga15a20">DISCOVER_EBUSNOTFOUND</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00206">discover_get_devices()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga3" doxytag="conf.c::discover_conf_get_bus_map_by_name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a>* discover_conf_get_bus_map_by_name           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname" nowrap> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the bus map by name for a single bus.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Name of the bus whose map to get </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00509">509</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="conf_8c-source.html#l00168">_real_discover_conf_get_bus_map_by_name()</a>, <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, and <a class="el" href="conf_8c-source.html#l00378">discover_conf_load()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga9" doxytag="conf.c::discover_conf_get_bus_name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_conf_get_bus_name           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga16">discover_bus_t</a>&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>bus</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Translate an enum bus value into a string.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>bus</em>&nbsp;</td><td>Bus type in enumerated form </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00666">666</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00157">BUS_COUNT</a>, and <a class="el" href="discover_8h-source.html#l00180">discover_bus_map::name</a>.
<p>
Referenced by <a class="el" href="url-xml_8c-source.html#l00261">discover_xml_get_data_urls()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga10" doxytag="conf.c::discover_conf_get_filetype_name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* discover_conf_get_filetype_name           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga17">discover_filetype_t</a>&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>filetype</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Translate an enum filetype value into a string.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>filetype</em>&nbsp;</td><td>Filetype in enumerated form </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00682">682</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
Referenced by <a class="el" href="url-xml_8c-source.html#l00261">discover_xml_get_data_urls()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga2" doxytag="conf.c::discover_conf_get_full_bus_map"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a>* discover_conf_get_full_bus_map           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>status</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the full bus map, listing all buses.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00496">496</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="conf_8c-source.html#l00378">discover_conf_load()</a>.
<p>
Referenced by <a class="el" href="device_8c-source.html#l00063">discover_device_find()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga7" doxytag="conf.c::discover_conf_get_urls"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a>* discover_conf_get_urls           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>status</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the list of URLs from which XML data will be retrieved.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00599">599</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="conf_8c-source.html#l00378">discover_conf_load()</a>, and <a class="el" href="url-xml_8c-source.html#l00326">discover_xml_url_new()</a>.
<p>
Referenced by <a class="el" href="url-xml_8c-source.html#l00182">discover_xml_get_urls()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga5" doxytag="conf.c::discover_conf_insert_url"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_conf_insert_url           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname" nowrap> <em>url</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Insert the URL specified in url at the head of the list of URLs where Discover data will be retrieved.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>url</em>&nbsp;</td><td>URL to insert </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00557">557</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, and <a class="el" href="conf_8c-source.html#l00378">discover_conf_load()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga0" doxytag="conf.c::discover_conf_load"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">void discover_conf_load           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap> <em>status</em>          </td>
          <td class="md" valign="top">&nbsp;)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Ensure that the configuration file is loaded. Repeated calls to this function will not change anything, unless you call discover_conf_free.<p>
Technically, this function will lie to you if there is no conf file. Even though no configuration was loaded, repeated calls still will not change anything. However, if we don't do this and a config file is created between the time some long-lived caller first calls discover_conf_load and the time it calls it again, it will be loaded. This doesn't strike me as idempotent behavior. So, repeated calls even in this case will not change anything unless you call discover_conf_free.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00378">378</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, <a class="el" href="discover_8h-source.html#l00112">discover_error::create_message</a>, and <a class="el" href="group__types.html#gga15a17">DISCOVER_EXML</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00579">discover_conf_append_url()</a>, <a class="el" href="conf_8c-source.html#l00532">discover_conf_get_bus_map()</a>, <a class="el" href="conf_8c-source.html#l00509">discover_conf_get_bus_map_by_name()</a>, <a class="el" href="conf_8c-source.html#l00496">discover_conf_get_full_bus_map()</a>, <a class="el" href="conf_8c-source.html#l00599">discover_conf_get_urls()</a>, and <a class="el" href="conf_8c-source.html#l00557">discover_conf_insert_url()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="ga1" doxytag="conf.c::discover_conf_name_to_bus"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">int discover_conf_name_to_bus           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname" nowrap> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Get the bus enumeration for a bus name.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Name of the bus </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>status</em>&nbsp;</td><td>Address in which to place status report </td></tr>
  </table>
</dl>

<p>
Definition at line <a class="el" href="conf_8c-source.html#l00477">477</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, and <a class="el" href="group__types.html#gga15a20">DISCOVER_EBUSNOTFOUND</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00168">_real_discover_conf_get_bus_map_by_name()</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
